Bug 203336 - Please don't share "Match Case" between Search and Search-and-Replace Options
Please don't share "Match Case" between Search and Search-and-Replace Options
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Search
7.1
PC Windows Vista
: P2 (vote)
: 7.2
Assigned To: Milutin Kristofic
issues@editor
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-08 02:29 UTC by bht
Modified: 2012-05-15 10:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bht 2011-10-08 02:29:09 UTC
Search-and-Replace is by nature more discriminating, and users want to avoid overwriting good code incorrectly, so they use the option "Match Case" very often.

In contrast, in the bare Search parameters, "Match Case" is a rare exception - the case-insensitive search is more conservative because one usually wants to find everything.

Therefore, sharing the option "Match Case" between the two different functions is counter-productive, and it should be separated.


Taking this further, the "Match Case" option should not be remembered as search parameter because it is an exception, and it can have the nasty effect of overlooking things only because one has used this exception before.

However, in the Search-and-replace function it should be remembered because there it is conservative and critical.

The same applies to backward search which is also an exception and should not be remembered in the bare search.

It is true that other editors have similar incorrect behavour but NetBeans should do better.
Comment 1 Milutin Kristofic 2011-10-10 07:49:13 UTC
I understand your opinion, however IMHO it's enhancement, not defect. I will think about it in next release, I need separate ctrl+f3 search from search, because it often fires whole words, which is then propagated to search and at least for me it's confusing. So I will rethink whole concept of saving properties between search functionalities.
Comment 2 bht 2011-11-14 07:34:41 UTC
This is crazy!

Could the priority and timeline please be evaluated.

After a case sensitive search and replace, a completely unrelated search suddenly becomes case sensitive and nothing is found.

How did we ever get there?
Comment 3 Milutin Kristofic 2011-11-14 16:37:50 UTC
I think it is from Bug #187437 and you are only user who is complaining. Additionally, at least intellij idea has a same behavior. Therefore Enhencement.

We can do a console option for separating find and replace, but not a few days to release. Therefore 7.2
Comment 4 Milutin Kristofic 2011-11-14 16:45:46 UTC
I fixed sharing between ctrl + f3 and search/replacebar in Bug #205107
Comment 5 David Strupl 2012-02-24 09:43:20 UTC
Do we plan to change this or leave it as it is? If we are not going to change it I suggest to close this report.
Comment 6 Milutin Kristofic 2012-02-24 09:53:35 UTC
This is a small change, I will make separate maps for find properties. It will be in 7.2
Comment 7 Milutin Kristofic 2012-05-14 14:58:13 UTC
SearchBar and Replacebar have now different properties maps. Searchbar in default has matchcase off, but replacebar has it on.

http://hg.netbeans.org/jet-main/rev/8ea23ac320d1
Comment 8 Quality Engineering 2012-05-15 10:11:44 UTC
Integrated into 'main-golden', will be available in build *201205150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8ea23ac320d1
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #203336 - Please don't share "Match Case" between Search and Search-and-Replace Options


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo